import * as i0 from "@angular/core";
export declare class TldTranslateButtonService {
    private onClick;
    private readonly pulseAnimation;
    constructor();
    actionButtonClicked(): void;
    getActionClick(): import("rxjs").Observable<any>;
    pulseButton(): void;
    onPulseAnimation(): import("rxjs").Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TldTranslateButtonService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TldTranslateButtonService>;
}
